import { serverClient } from "@/lib/trpc/server"

import { Blocks } from "@/components/Loyalty/Blocks"
import Sidebar from "@/components/Loyalty/Sidebar"
import MaxWidth from "@/components/MaxWidth"

import Title from "../TempDesignSystem/Text/Title"

import styles from "./loyaltyPage.module.css"

import type { LangParams } from "@/types/params"

export default async function LoyaltyPage({ lang }: LangParams) {
  const loyaltyPage = await serverClient().contentstack.loyaltyPage.get()
  if (!loyaltyPage) {
    return null
  }
  return (
    <section className={styles.content}>
      {loyaltyPage.sidebar.length ? (
        <Sidebar blocks={loyaltyPage.sidebar} lang={lang} />
      ) : null}

      <MaxWidth className={styles.blocks} tag="main">
        <Title>{loyaltyPage.heading}</Title>
        {loyaltyPage.blocks ? <Blocks blocks={loyaltyPage.blocks} /> : null}
      </MaxWidth>
    </section>
  )
}
